import { Helpers as HelpersLogger } from 'ng2-logger/browser';
import { Mapping } from './mapping';
import { JSON10 } from 'json10/browser';
export class Helpers extends HelpersLogger {
    static get Mapping() {
        return {
            encode(json, mapping) {
                return Mapping.encode(json, mapping);
            },
            decode(json, autodetect = false) {
                return Mapping.decode(json, autodetect);
            }
        };
    }
    static checkValidUrl(url) {
        let regex = /(http|https):\/\/(\w+:{0,1}\w*)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%!\-\/]))?/;
        return regex.test(url);
    }
}
Helpers.JSON = JSON10;
//# sourceMappingURL=helpers.js.map