'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _resource = require('./resource.service');

Object.keys(_resource).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _resource[key];
    }
  });
});

var _models = require('./models');

Object.keys(_models).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _models[key];
    }
  });
});

var _mapping = require('./mapping');

Object.keys(_mapping).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _mapping[key];
    }
  });
});

var _rest = require('./rest.class');

Object.keys(_rest).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _rest[key];
    }
  });
});

var _restHeaders = require('./rest-headers');

Object.keys(_restHeaders).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _restHeaders[key];
    }
  });
});

var _helpers = require('./helpers');

Object.keys(_helpers).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _helpers[key];
    }
  });
});

var _requestCache = require('./request-cache');

Object.keys(_requestCache).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _requestCache[key];
    }
  });
});

var _simpleResource = require('./simple-resource');

Object.defineProperty(exports, 'SimpleResource', {
  enumerable: true,
  get: function get() {
    return _simpleResource.SimpleResource;
  }
});

var _params = require('./params');

Object.defineProperty(exports, 'interpolateParamsToUrl', {
  enumerable: true,
  get: function get() {
    return _params.interpolateParamsToUrl;
  }
});