'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Cookie = exports.Cookie = function () {
    function Cookie() {
        _classCallCheck(this, Cookie);
    }

    _createClass(Cookie, [{
        key: 'read',
        value: function read(name) {
            var result = new RegExp('(?:^|; )' + encodeURIComponent(name) + '=([^;]*)').exec(document.cookie);
            return result ? result[1] : null;
        }
    }, {
        key: 'write',
        value: function write(name, value, days) {
            if (!days) {
                days = 365 * 20;
            }
            var date = new Date();
            date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
            var expires = "; expires=" + date.toUTCString();
            document.cookie = name + "=" + value + expires + "; path=/";
        }
    }, {
        key: 'remove',
        value: function remove(name) {
            this.write(name, "", -1);
        }
    }], [{
        key: 'Instance',
        get: function get() {
            if (!Cookie.__instance) {
                Cookie.__instance = new Cookie();
            }
            return Cookie.__instance;
        }
    }]);

    return Cookie;
}();
//# sourceMappingURL=cookie.js.map