'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Helpers = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _browser = require('ng2-logger/browser');

var _mapping = require('./mapping');

var _browser2 = require('json10/browser');

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Helpers = exports.Helpers = function (_HelpersLogger) {
    _inherits(Helpers, _HelpersLogger);

    function Helpers() {
        _classCallCheck(this, Helpers);

        return _possibleConstructorReturn(this, (Helpers.__proto__ || Object.getPrototypeOf(Helpers)).apply(this, arguments));
    }

    _createClass(Helpers, null, [{
        key: 'checkValidUrl',
        value: function checkValidUrl(url) {
            var regex = /(http|https):\/\/(\w+:{0,1}\w*)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%!\-\/]))?/;
            return regex.test(url);
        }
    }, {
        key: 'Mapping',
        get: function get() {
            return {
                encode: function encode(json, mapping) {
                    return _mapping.Mapping.encode(json, mapping);
                },
                decode: function decode(json) {
                    var autodetect = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

                    return _mapping.Mapping.decode(json, autodetect);
                }
            };
        }
    }]);

    return Helpers;
}(_browser.Helpers);

Helpers.JSON = _browser2.JSON10;
//# sourceMappingURL=helpers.js.map